package cn.iocoder.yudao.module.supplier.enums.common;

import cn.iocoder.yudao.framework.common.core.ArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 供应商 的状态
 *
 * @author suiyy
 */
@RequiredArgsConstructor
@Getter
public enum SupplierStatusEnum implements ArrayValuable<Integer> {

    DRAFT(1, "草稿"),
    ACTIVE(2, "活动"),
    CLOSE(3, "关闭");

    private final Integer status;
    private final String name;

    public static final Integer[] ARRAYS = Arrays.stream(values()).map(SupplierStatusEnum::getStatus).toArray(Integer[]::new);

    @Override
    public Integer[] array() {
        return ARRAYS;
    }

}
